Bug 190729 - scripts in Parley give error message
Summary: scripts in Parley give error message
Status: RESOLVED FIXED
Alias: None
Product: parley
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Parley Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-26 18:04 UTC by Juergen
Modified: 2009-07-11 12:40 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
error message (18.49 KB, image/png)
2009-04-26 18:05 UTC, Juergen
Details
this 4 scripts casue the error (44.08 KB, image/png)
2009-04-26 18:05 UTC, Juergen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen 2009-04-26 18:04:06 UTC
Version:           0.9.2 (using 4.2.2 (KDE 4.2.2), Kubuntu packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.28-11-generic

When I start Parley I get 4 errors pointing to the scripts loaded but dis-functional.
Comment 1 Juergen 2009-04-26 18:05:10 UTC
Created attachment 33126 [details]
error message
Comment 2 Juergen 2009-04-26 18:05:46 UTC
Created attachment 33127 [details]
this 4 scripts casue the error
Comment 3 Daniel Laidig 2009-05-31 15:42:37 UTC
This error usually means that PyKDE support is not installed. Could you try to find out if your distribution provides any packages for that and if installing these fixes the error?
Comment 4 Juergen 2009-05-31 16:43:08 UTC
I installed pykdeextensions

Python packages to support KDE applications (scripts)

but the error continues.
Comment 5 Juergen 2009-05-31 16:48:07 UTC
pykdeextensions (0.4.0-6ubuntu1)
I installed this recommended package but error still persists 
python-qt-dev (3.17.6-1ubuntu1)
Comment 6 Daniel Laidig 2009-05-31 16:51:16 UTC
I just looked at packages.ubuntu.com, could you try "python-kde4"?
Comment 7 Alexey Shildyakov 2009-06-14 11:34:06 UTC
I have Gentoo Linux and got the same error.
kde-base/pykde4-4.2.4 is installed
Comment 8 David Erosa García 2009-06-19 09:58:25 UTC
Here are more tests and confirmations about the bug:
https://bugs.launchpad.net/kdeedu/+bug/371565

Why isn't the bug marked as confirmed?
Comment 9 Jonathan Thomas 2009-06-19 14:14:53 UTC
This comment outlines the basic problem. (Kross/script incompatibility with python 2.6: https://bugs.launchpad.net/ubuntu/+source/kdeedu/+bug/371565/comments/4)
Comment 10 Sebastian Sauer 2009-07-08 18:55:22 UTC
Fixed with r993412 in trunk and r993413 in the 4.3-branch (so, it should be part of 4.3 RTF). Thanks for the feedback and please reopen or create a new report (and please add mail@dipe.org to the CC-list :-) if there are more props (I just checked+fixed the "import ssl" case).